### Constructor

# Dex Future new_for_errno

since: 0.4

#### Declaration [src]

    DexFuture*
    dex_future_new_for_errno (
      int errno_
    )

#### Description [src]

Creates a new rejected future using `errno_` as the value of errno for the GError.

The resulting error domain will be `G_IO_ERROR`.

Available since: 0.4

#### Parameters

`errno_`

  Type: `int`

  The `errno` to use for rejection.

#### Return value

Type: `DexFuture`

A rejected `DexFuture`.

The caller of the function takes ownership of the data, and is responsible for freeing it.